/***** genDiv.h ***********************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Tue Feb 16 21:58:07 2010
 **************************************************/
#include "sequenceData.h"

typedef struct alignment{
  char **al;       /* nucleotide alignment */
  long m;          /* number of sequences in alignment */
  long n;          /* number of nucleotides per sequence in alignment */
  char **headers;  /* headers of sequences */
  long *poly;      /* polymorphic positions in alignment */
  long *nuc;       /* positions consisting solely of canonical nucleotides */
  char *polInd;    /* is position polymorphic? */
  char *nucInd;    /* does position consist of nucleotides only? */
  int *winNumNuc;  /* number of canonical nucleotides per window */
  int numWin;      /* the number of windows */
  float *polyFreq; /* frequency of minor allele */
  long numPoly;    /* number of polymorphic positions in alignment */
  long numNuc;     /* number of positions consisting solely of canonical nucleotides */
}Alignment;

Alignment *seq2al(Sequence *seq);
double pi(Alignment *al);
double ss(Alignment *al);
double *winPi(Args *args, Alignment *al);
double *winSs(Args *args, Alignment *al);
double *winTajima(Args *args, Alignment *al);
void printPoly(Alignment *al);
double tajima(Alignment *al);
