/***** interface.h ********************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Sun Jun 20 13:07:28 2004.
 * Licence: GNU General Public
 ***************************************************/ 

/* define argument container */
typedef struct args{
  int w;    /* window analysis */
  int W;    /* minimum number of nucleotides per window */
  char s;   /* statistic other than pi */
  int S;    /* step length */
  char P;   /* print polymorphisms */
  char v;   /* print version */
  char h;   /* help message? */
  char e;   /* error message? */
  char **inputFiles;
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
