# testGd.awk
# Purpose: Test the program gd
# Author: Bernhard Haubold
# Date: 21st April 2010
BEGIN{
  pi = 80.2;
  ss = 200;
  td = -1.255255;

  printf "Testing pi computation in global mode...";
  cmd = "./gd test.fasta";
  cmd | getline;
  if($2 == pi)
    print "ok."
  else
    print "ERROR in global pi computation.";
  close(cmd);

  printf "Testing pi computation in sliding window mode...";
  cmd = "./gd -w 10000 test.fasta";
  cmd | getline;
  if($2 == pi)
    print "ok."
  else
    print "ERROR in global pi computation.";
  close(cmd);

  printf "Testing S computation in global mode...";
  cmd = "./gd -s s test.fasta";
  cmd | getline;
  if($2 == ss)
    print "ok.";
  else
    print "ERROR in global S computation.";
  close(cmd);

  printf "Testing S computation in sliding window mode...";
  cmd = "./gd -s s -w 10000 test.fasta";
  cmd | getline;
  if($2 == ss)
    print "ok.";
  else
    print "ERROR in global S computation.";
  close(cmd);

  printf "Testing D_T computation in global mode...";
  cmd = "./gd -s t test.fasta";
  cmd | getline;
  if($2 == td)
    print "ok.";
  else
    print "ERROR in global D_T computation";
  close(cmd);

  printf "Testing D_T computation in sliding window mode...";
  cmd = "./gd -s t -w 10000 test.fasta";
  cmd | getline;
  if($2 == td)
    print "ok.";
  else
    print "ERROR in global D_T computation.";
  close(cmd);

}